import type { PostgreSQLTypedCLIConfig } from "@postgresql-typed/util";
import type { FileContext } from "../types/interfaces/FileContext.js";
import type { FileExport } from "../types/interfaces/FileExport.js";
import type { FileName } from "../types/types/FileName.js";
import type { IdentifierName } from "../types/types/IdentifierName.js";
import type { TypeId } from "../types/types/TypeId.js";
export declare class FileContent {
    readonly config: PostgreSQLTypedCLIConfig;
    readonly file: FileName;
    private readonly _imports;
    private readonly _importStatements;
    private readonly _declarationNames;
    private readonly _declarations;
    private readonly _reExports;
    constructor(config: PostgreSQLTypedCLIConfig, file: FileName);
    private _getImportState;
    private _addImportStatement;
    pushDeclaration(typeID: TypeId, mode: "type" | "value", declaration: (identifier: IdentifierName, imp: FileContext) => string[]): FileExport;
    pushReExport(destination: TypeId, source: FileExport): void;
    private _getImportStatements;
    getContent(): string;
}
