import type { PostgreSQLTypedCLIConfig } from "@postgresql-typed/util";
import { PrinterContext } from "../classes/PrinterContext.js";
import type { ClassDetails } from "../types/interfaces/ClassDetails.js";
import type { FetchedData } from "../types/interfaces/FetchedData.js";
import type { FileContext } from "../types/interfaces/FileContext.js";
import type { DataType } from "../types/types/DataType.js";
export declare class Printer {
    readonly config: PostgreSQLTypedCLIConfig;
    readonly data: FetchedData[];
    readonly arguments_: Record<string, any>;
    readonly classes: Map<number, ClassDetails>;
    readonly types: Map<number, DataType>;
    readonly context: PrinterContext;
    private LOGGER;
    constructor(config: PostgreSQLTypedCLIConfig, data: FetchedData[], arguments_: Record<string, any>);
    getClass(id: number): ClassDetails | undefined;
    private _getDefinerOverride;
    private _getDefinerTypeOverride;
    getDefiner(id: number, file: FileContext, info: {
        schemaName: string;
        tableName: string;
        columnName: string;
    }): string;
    getDefinerType(id: number, file: FileContext, info: {
        schemaName: string;
        tableName: string;
        columnName: string;
    }): string;
    print(): Promise<void>;
    private writeFiles;
    private getAllFiles;
    private pad;
    private getDebugConfigType;
}
