import { DataTypeKind } from "../../../types/enums/DataTypeKind.js";
import { printArray } from "../printers/printArray.js";
import { printDomainParser } from "../printers/printDomainParser.js";
import { printEnum } from "../printers/printEnum.js";
export function getDefiner(type, context, file) {
    switch (type.kind) {
        case DataTypeKind.Array:
            return printArray(type, context, file);
        case DataTypeKind.Domain:
            return printDomainParser(type, context, file);
        case DataTypeKind.Enum:
            return printEnum(type, context, file);
    }
    return "unknown";
}
//# sourceMappingURL=getDefiner.js.map