import { DataTypeKind } from "../../../types/enums/DataTypeKind.js";
import { printArrayType } from "../printers/printArrayType.js";
import { printDomainParser } from "../printers/printDomainParser.js";
import { printEnumType } from "../printers/printEnumType.js";
export function getDefinerType(type, context, file) {
    switch (type.kind) {
        case DataTypeKind.Array:
            return printArrayType(type, context, file);
        case DataTypeKind.Domain:
            return printDomainParser(type, context, file);
        case DataTypeKind.Enum:
            return printEnumType(type, context, file);
    }
    return "unknown";
}
//# sourceMappingURL=getDefinerType.js.map