import { printTableTypes } from "./printTableTypes.js";
export function printSchemaReexport(types, printer) {
    const SchemaReexportRecord = printer.context.pushTypeDeclaration({
        databaseName: types[0].database_name,
        name: types[0].schema_name,
        type: "schemaReexport",
    }, (_, { getRelativePath }) => [
        types
            .flatMap(type => {
            const { TableInsertInferTypeRecord, TableInferTypeRecord, TableRecord } = printTableTypes(type, printer), exports = [
                `export * from "${getRelativePath(TableInsertInferTypeRecord)}";`,
                `export * from "${getRelativePath(TableInferTypeRecord)}";`,
                `export * from "${getRelativePath(TableRecord)}";`,
            ]
                //* remove duplicates
                .filter((v, index, a) => a.indexOf(v) === index);
            return exports;
        })
            .join("\n"),
    ]);
    printer.context.pushReExport({
        of: {
            databaseName: types[0].database_name,
            name: types[0].schema_name,
            type: "schemaReexport",
        },
        type: "export",
    }, SchemaReexportRecord);
    if (!printer.config.files.preCompile)
        return { SchemaReexportRecord };
    const SchemaTypeReexportRecord = printer.context.pushTypeDeclaration({
        databaseName: types[0].database_name,
        name: types[0].schema_name,
        type: "schemaTypeReexport",
    }, (_, { getRelativePath }) => [
        types
            .flatMap(type => {
            const { TableInsertInferTypeRecord, TableInferTypeRecord, TableRecord } = printTableTypes(type, printer), exports = [
                `export * from "${getRelativePath(TableInsertInferTypeRecord)}";`,
                `export * from "${getRelativePath(TableInferTypeRecord)}";`,
                `export * from "${getRelativePath(TableRecord)}";`,
            ]
                //* remove duplicates
                .filter((v, index, a) => a.indexOf(v) === index);
            return exports;
        })
            .join("\n"),
    ]);
    printer.context.pushReExport({
        of: {
            databaseName: types[0].database_name,
            name: types[0].schema_name,
            type: "schemaTypeReexport",
        },
        type: "export",
    }, SchemaTypeReexportRecord);
    return { SchemaReexportRecord, SchemaTypeReexportRecord };
}
//# sourceMappingURL=printSchemaReexport.js.map